/*
	기초적인 물질의 특성을 가진다.
	존재한다는 의미가 큼
	질량과 밀도에 의해 부피를 계산함
*/
#ifndef cElement_H
#define cElement_H

class cElement{
protected:
	int Weight; // 질량, 단위: g
	int Density; // 밀도, 1g당 부피, 단위: mm^3

public:
	cElement();
	cElement(int _Weight, int _Density){ Weight = _Weight; Density = _Density; }
	~cElement();

	void Set(int _Weight, int _Density){ Weight = _Weight; Density = _Density; }

	int GetWeight(){ return Weight; }
	int GetVolume(){ return Weight * Density; }

};

#endif
